06/02/2020 XI1SjuHH6c

기본적으로 Rails는 sqlite3을 사용하지만 MySQL, PostgreSQL 또는 기타 RDBMS를 설치할 수 있습니다. 이는 선택 사항입니다. 데이터베이스가 설치된 경우 이 단계를 건너뛸 수 있으며 레일 서버를 시작하기 위해 데이터베이스가 설치되어 있어야 하는 것은 아닙니다. 이 자습서에서는 PostgreSQL 데이터베이스를 사용하고 있습니다. 따라서 PostgreSQL을 설치하려면 다음 명령을 사용합니다. 나는 나를 위해 보석 레일을 설치하는 문제를 해결 다운로드 루비 보석 zip https://rubygems.org/pages/download 폴더 실행에 오픈 명령 프롬프트를 추출 $ruby setup.rb 그들 보석 설치 -local 아마 지금 이동하지만 난간을 얻기 위해 노력하고 다음 또 다른 시간 후 나는 64 비트에서 32 비트 루비로 이동하여 해결 100 % 확실하지 않다, 하지만 `C` 확장이 있는 보석이 올바르게 빌드되도록 레일 앞에 devkit을 설치해야 한다고 확신합니다. 레일을 설치하려고 할 때 5.0.0 나는이 오류를 얻을 : 새로운 릴리스의 정보를 유지하기 위해, 피터 쿠퍼의 루비 주간 뉴스 레터를 구독하고 트위터에 @ruby_news @rails_apps 따르라. 레일/레일의 새로운 릴리스에 대한 알림을 원하십니까? C:RubyDevKit>gem 설치 레일 –버전 5.0.0 오류: 유효한 보석 `레일`(= 5.0.0)을 찾을 수 없습니다 https://api.rubygems.org/specs.4.8.gz SSL_connect https://rubygems.org/. 그렇지 않은 경우, 루비 2.0 및 레일 4.0 방랑을 사용하여 가상 리눅스 컴퓨터에 대한 레일 스브리지 가상 머신 또는 레일 데브 박스를 다운로드합니다. 마지막 옵션인 RailsInstaller는 최신 버전의 Ruby 또는 Rails를 제공하지 않으므로 권장되지 않습니다. 또한 RVM은 Windows에서 실행되지 않습니다. 루비를 설치하기 전에 macOS 시에라 (10.12)로 업그레이드 : 우리는 루비를 설치하는 각 주요 플랫폼에 여러 가지 도구가 있습니다. MacOS에는 “시스템 루비”가 사전 설치되어 있습니다.

맥 OS 시에라는 최신 버전이 아닌 이전 루비 버전을 포함한다. 개발 중 유연성을 위해 Ruby 시스템을 사용하지 마십시오. 대신, RVM, 루비 버전 관리자를 사용 하 여 루비를 설치 합니다. NodeJS를 설치하려면 공식 리포지토리를 사용하여 추가하겠습니다: 루비 온 레일 프레임워크에는 레일의 기능을 관리하기 위해 JavaScript 런타임 환경(Node.js)이 필요합니다. 다음으로 Node.js를 사용하여 레일 기능인 자산 파이프라인을 관리하는 방법을 살펴보겠습니다. Windows에서 코드를 편집하려면: 숭고한, 원자, VS 코드, 또는 원하는 편집자를 열고 C :코드의 폴더를 가리키면 Windows에서 Rails 앱을 안전하게 편집하고 Linux에서 실행할 수 있습니다! 베이스 캠프, GitHub, Shopify, 에어 비앤비, 트위치, 사운드 클라우드, 훌루, 젠 데스크, 광장, 쿡 패드 : 당신은 아마 이미 레일에 루비와 함께 만들어진 응용 프로그램의 대부분을 사용했습니다.